%define subrel 1
Name:           remind
Version:        03.01.13
Release:        %mkrel 4
Summary:        A sophisticated calendar and alarm program

Group:          Office/Organizer
License:        GPLv2
URL:            http://www.roaringpenguin.com/en/penguin/openSourceProducts/remind
Source0:        http://www.roaringpenguin.com/files/download/remind-%{version}.tar.gz
Source1:        tkremind.desktop
Patch0:         remind-nostrip.patch
# See:
# - MGA#16495
# - http://openwall.com/lists/oss-security/2015/07/29/2
Patch1:         buffer-overflow-fix.patch
Requires:       tcl
BuildRequires:  desktop-file-utils

%description
Remind is a sophisticated calendar and alarm program. It includes the following
features:
  * A sophisticated scripting language
  * Plain-text, PostScript and HTML output
  * Timed reminders and pop-up alarms

%package gui
Group:          Office/Organizer
Summary:        A graphical front-end for remind using Tcl/Tk
Requires:       tk > 8.0
Requires:       remind = %{version}-%{release}
Requires:       tcl-tcllib

%description gui
The remind-gui package contains a (self-described) "cheesy" graphical front
end for Remind using Tcl/Tk.

%prep
%setup -q
%patch1 -p1
# Convert remind man page to UTF8
pushd man
iconv -c -t UTF8 remind.1 > remind.1.utf8
%{__mv} remind.1.utf8 remind.1
popd
%patch0 -p1
pushd www
find . -type f -exec chmod -x {} \;
popd


%build
%configure
%{__make} %{?_smp_mflags}

%check
cd src
if ! make test; then
  set +x
  for f in `find .. -name \*.diff -type f -print`; do
    echo "TEST FAILURE: $f --"
    cat "$f"
    echo "-- $f result ends."
  done
  set -x
fi

%install
# This preserves timestamps.
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

# Copy rem2html to /usr/bin.  Leave in the www directory also as it is used
# by the demo program there.
%{__install} -m 755 -p www/rem2html $RPM_BUILD_ROOT/usr/bin/

# Install desktop stuff.
desktop-file-install --vendor "fedora"             \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications  \
  --add-category "Office"                          \
  %{SOURCE1}

%files
%{_bindir}/rem2html
%{_bindir}/cm2rem.tcl
%{_bindir}/rem2ps
%{_bindir}/remind
%{_bindir}/rem
%{_mandir}/man1/cm2rem.1.*
%{_mandir}/man1/rem2ps.1.*
%{_mandir}/man1/remind.1.*
%{_mandir}/man1/rem.1.*

%doc COPYRIGHT docs/README.UNIX docs/WHATSNEW examples www

%files gui
%{_datadir}/applications/*
%{_bindir}/tkremind
%{_mandir}/man1/tkremind.1.*



%changelog
* Wed Jul 29 2015 shlomif <shlomif> 03.01.13-4.1.mga5
+ Revision: 858950
- Fix for MGA#16495

* Wed Oct 15 2014 umeabot <umeabot> 03.01.13-4.mga5
+ Revision: 747091
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 03.01.13-3.mga5
+ Revision: 688652
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 03.01.13-2.mga4
+ Revision: 523719
- Mageia 4 Mass Rebuild

* Fri May 24 2013 shlomif <shlomif> 03.01.13-1.mga4
+ Revision: 426466
- New version 03.01.13

* Mon Jan 14 2013 umeabot <umeabot> 03.01.12-5.mga3
+ Revision: 380310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 shlomif <shlomif> 03.01.12-4.mga3
+ Revision: 317972
- Fix dependency

* Wed Nov 14 2012 shlomif <shlomif> 03.01.12-3.mga3
+ Revision: 317966
- remind package based on the Fedora package


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 03 2012 Jaromir Capik <jcapik@redhat.com> - 03.01.12-2
- fix for #816370 - rem2ps should not require margins to be at least 1/2 inch
- Patch from Jonathan Kamens

* Mon Apr 30 2012 Jaromir Capik <jcapik@redhat.com> - 03.01.12-1
- Updated to 03.01.12

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 31 2009 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.07-1
- Upstream released 03.01.07

* Wed Feb 28 2009 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.06-1
- Latest version refresh

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 26 2008 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.04-1
- Updated to version 03.01.04

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 03.01.02-4
- Autorebuild for GCC 4.3

* Mon Jan 28 2008 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.02-3
- Copied rem2html to /usr/bin per bz #430502
- Using a few more macros in spec file

* Thu Sep 19 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.02-2
- Added tcllib requires per bz #290761

* Thu Sep 13 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.02-1
- Updated to version 03.01.02

* Thu Aug 23 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.01-1
- Updated to version 03.01.01
- Updated license tag to GPLv2

* Wed Aug 15 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.00-1
- Updated to version 03.01.00

* Wed May 23 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-3
- Fixed permissions on www/* to be 0644.

* Mon May 07 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-2
- Added www to documentation.  A sample web application I do not feel is
  suitable for inclusion into the actual RPM.

* Thu May 03 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-2
- Using integer only release numbers.
- Preserve timestamps on manpages.
- Added %%check
- Removed README from documentation and added ACKNOWLEDGEMENTS

* Wed Apr 25 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-1.1
- Applied patch from Dan Young (dyoung@mesd.k12.or.us) to not strip binaries
  See: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=235802#c3
- Explicitly specifying man pages under %%files to avoid duplication of
  tkremind.1 across subpackages
- Added README and COPYRIGHT

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-1
- Added .desktop file
- Initial release

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.5
- Convert remind.1 to UTF8

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.4
- Rebuild

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.3
- Rebuild

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.2
- Split into -gui sub-package.

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.1
- Initial release.
